CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2019 开发者帮助

TextInsideAlign 属性 (ActiveX)

2024-5-18 17:53| 发布者: admin| 查看: 13| 评论: 0|原作者: admin|来自: AutoCAD

TextInsideAlign 属性 (ActiveX)

指定除纵坐标外的所有尺寸类型的延伸线内尺寸文本的位置。

支持的平台:仅限 Windows

签名

VBA:

object.TextInsideAlign
对象

类型:Dim3PointAngularDimAlignedDimAngularDimArcLengthDimDiametricDimRadialDimRadialLargeDimRotated

此属性应用于的对象。

属性值

只读:

类型:布尔

  • True:水平对齐文本。
  • False:将文本与尺寸线对齐。

言论

此属性的初始值为 。True

仅当该属性设置为 时,此属性才可用。TextInsideTrue

注意:此属性将覆盖给定维度的 DIMTIH 系统变量的值。

例子

VBA:

Sub Example_TextInsideAlign()
    ' This example creates an aligned dimension in model space and
    ' allows the user to toggle the TextInsideAlign value for the dimension

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 5.5: point2(1) = 6: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    
    dimObj.TextInside = True    ' The TextInsideAlign property will only work
                                ' when this property is active
    
    ThisDrawing.Application.ZoomAll

Toggle:
    Select Case MsgBox("Press OK to toggle the TextInsideAlign value for this dimension", vbOKCancel)
        Case vbOK
            ' Toggle the TextInsideAlign value for this dimension
            dimObj.TextInsideAlign = Not (dimObj.TextInsideAlign)
            ThisDrawing.Regen acAllViewports
            
            ' Read and display the new dimension TextInsideAlign value
            MsgBox "TextInsideAlign is currently set to: " & dimObj.TextInsideAlign
        
        Case vbCancel
            Exit Sub
    End Select
    
    GoTo Toggle
   
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_TextInsideAlign()
    ;; This example creates an aligned dimension in model space and
    ;; allows the user to toggle the TextInsideAlign value for the dimension
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 5.5 6 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    
    (vla-put-TextInside dimObj :vlax-true)    ;; The TextInsideAlign property will only work
                                              ;; when this property is active
    
    (vla-ZoomAll acadObj)

    ;; Toggle the TextInsideAlign value for this dimension
    (vla-put-TextInsideAlign dimObj (if (= (vla-get-TextInsideAlign dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
            
    ;; Read and display the new dimension TextInsideAlign value
    (alert (strcat "TextInsideAlign is currently set to: " (if (= (vla-get-TextInsideAlign dimObj) :vlax-true) "True" "False")))

    ;; Toggle the TextInsideAlign value for this dimension
    (vla-put-TextInsideAlign dimObj (if (= (vla-get-TextInsideAlign dimObj) :vlax-true) :vlax-false :vlax-true))
    (vla-Regen doc acAllViewports)
            
    ;; Read and display the new dimension TextInsideAlign value
    (alert (strcat "TextInsideAlign is currently set to: " (if (= (vla-get-TextInsideAlign dimObj) :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-6-27 15:51

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部